Package com.ocient.jdbc.proto

# Interface PlanProtocol.IncrementingBigIntOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.IncrementingBigIntOperator`, `PlanProtocol.IncrementingBigIntOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.IncrementingBigIntOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`long` | `getEnd()` | `int64 end = 2;`
`long` | `getNullCount()` | if null count is N, and the column is nullable, every Nth value will be null (e.g.
`long` | `getStart()` | `int64 start = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getStart

long getStart()
`int64 start = 1;`

### getEnd

long getEnd()
`int64 end = 2;`

### getNullCount

long getNullCount()

     if null count is N, and the column is nullable, every Nth
     value will be null (e.g. if null_count is 4, the operator
     will produce NULL, 1, 2, 3, NULL, 5, 6, 7, NULL...)
     If null count is negative, every Nth value will be NOT null
     (e.g. if null_count is -4 the operator will produce
     0, NULL, NULL, NULL, 4, NULL, NULL, NULL, 8...)

`int64 nullCount = 3;`